Subject: [lojban] Re: nai in UI (was: BPFK phpbb)

From: "And Rosta" <[email-masked]>
Date: Tue, 6 May 2003 12:36:45 +0100

Pierre:
> On Wednesday 30 April 2003 12:52, Jim Carter wrote:
> > Hey, wait a minute! Think modularity. There are morpheme streams that 
> > can or can't be split into valid Lojban words. There are word streams 
> > that can or can't be parsed into valid syntax trees. And there are 
> > semantic constructs that are or aren't Carroll-esque. The phrase 
> > "meaningful concept" is too vague to be a meaningful concept. I would 
> > like to amend your pronouncement to say, a valid parser passes all valid 
> > word streams (putting out a correct syntax tree) and rejects all invalid 
> > word streams, where validity is judged from the grammar. In other words, 
> > the parser does or doesn't truly realize that grammar. (I.e. makes it 
> > real.) (And as a separate module, the semantic analyser may have an 
> > opinion about jabberwockishness.)
> >
> > I'm sure we can come up with natlang examples where the parsing depends 
> > in an essential way on the meaning of the words (not just their syntactic
> > category), but I can't think of one so early in the morning. But that 
> > kind of a pain in the butt doesn't belong in Lojban. Think modularity!
> 
> I agree (and for similar reasons separated lexing words from checking their 
> validity). We have a context-free grammar that parses {kau} as UI, which 
> can go anywhere. We can have another layer that checks whether {kau} 
> follows a question word, whether it's in an abstraction, and whether it's 
> on the indifferent side of {ju/u/gi'u}, and decides whether it makes sense 
> there. It can also check whether a brivla has a sumti in a nonexistent 
> place, whether a number string is valid, whether {ko'a} or a lervla has an 
> antecedent, etc 

Sure. So long as the macrogrammar states these constraints in their
totality, it doesn't really matter how you break them down into separate
layers. One implementation may be more elegant than another, but from
the point of view of the speaker what matters is that kau must follow
a question word, and any grammar that captures that essential fact will
be adequate. (As it happens, though, I can't see what is to be gained
in elegance by having kau in UI.)

It's the restricting the term "grammar" to the (dubious) layer that 
parses kau as UI that I as a linguist find inappropriate. The
situation is thus:
Linguist: A language needs a grammar.
Lojbanist: Certainly. Here is Lojban's grammar.
Linguist: But that is not what I mean by a 'grammar', and I don't
believe that a language needs what you mean by a 'grammar'.

--And.

---

From: "And Rosta" <[email-masked]>
Date: Tue, 6 May 2003 12:36:45 +0100

--And.